<?php
require("../../include/variables.php");
require("../../include/init.php");
require("../../include/main-functions.php");
require("../../include/objects.php");
require("../../include/panels.php");

$pdo = sqlConnect($sqlDatabaseHost, $sqlDatabaseName, $sqlDatabaseUser, $sqlDatabasePass);
?>

<!DOCTYPE html>
<html lang="fr">

    <head>
        <?php fillHead($rootPageURL, "Podcasts - " . $pageName, $darkTheme, $lightTheme);?>
        <style>
            .videos {
                display: inline-block;
            }
            .youtube-video {
                margin: 2em;
            }
            @media(max-width: 750px) {
                .videos {
                    display: flex;
                    flex-direction: column;
                }
                .youtube-video {
                    width: 336px;
                    height: 189px;
                    margin: 2em auto;
                }
            }
        </style>
    </head>

    <body class="body">

        <header>
            <div class="panel-content">
                <?php fillHeader($rootPageURL, $headerTitle, $headerSubtitle, $social);?>
            </div>
            <meta name="description" content="Emission de podcasts à l'IUT de Vélizy">
            <meta name="author" content="E59">

            <meta property="og:locale" content="fr_FR">
            <meta property="og:site_name" content="e59.fr">
            <meta property="og:type" content="website">
            <meta property="og:title" content="Podcasts - E59">
            <meta property="og:description" content="Emission de podcasts à l'IUT de Vélizy">
            <meta property="og:url" content="https://e59.fr/podcasts">
            <meta property="og:image" content="https://e59.fr/src/img/e59-pp.png">
            <meta property="og:image:width" content="500">
            <meta property="og:image:height" content="500">
            <meta property="og:image:type" content="image/png">
        </header>

        <nav>
            <div class="panel-content">
                <?php fillNav($rootPageURL);?>
            </div>
        </nav>

        <main>
            <div class="content">
                <h1>Les podcasts de la E59</h1>
                <div class="videos">
                    <iframe width="560" height="315" class="youtube-video" src="https://www.youtube.com/embed/589WDuiZv2E?si=Sv7CYLpHXW5LTGrm" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>
                </div>
            </div>
        </main>
        <footer>
            <div class="panel-content">
                <?php fillFooter($footerText);?>
            </div>
        </footer>
    </body>
</html>